:root {
    --width: 400px;
}

body {
    margin: 0;
}

a {
    text-decoration: none;
    color: inherit;
}

.container {
    border-radius: 0;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.5);
    /*max-width: var(--width);*/
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    overflow: hidden;

    margin: 0;
    padding: var(--ds);
    height: calc(100dvh - var(--ds2));
    width: calc(100dvw - var(--ds2));
    overflow: hidden;
	
	/*width: 100dvw;
	height: 100dvh;*/
}

.btn.bdown {
    padding: 10px 20px;
    border: none;
    border-radius: var(--brr);
    cursor: pointer;
    transition: background-color 0.3s ease;
    min-width: 25%;
}

.down {
    display: flex;
    flex-direction: row;
    align-items: center;
    flex-wrap: nowrap;
    justify-content: space-evenly;
	padding-bottom: 1rem;
}

.circle {
    width: 25px;
    height: 25px;
    background-color: #ffd22f;
    border-radius: 50%;
}

input {
    padding: 0.8rem;
    border-radius: 8px;
    font-size: 1.2rem;
}

.page {
    width: 100%;
    height: 100%;
    display: none;
}

.page.active {
    display: block;
}

@media (orientation: landscape) {
    
    .page.active.pcalc {
        display: flex;
    }

    .container {
        max-width: 100%;
    }

}

.pageplace {
    /*height: 100%;*/
    min-height: calc(100% - 4rem);
    max-height: calc(100% - 4rem);
}